{
	"name": "plugin/nc-calc-server/column/order_row-sales.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"link_field": "ordr.record_id",
			"name_fi": "",
			"record_type": "sales",
			"variable": "idx"
		},
		{
			"export": false,
			"editable": false,
			"name": "Status",
			"variable": "change_status",
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "ordr.order_id",
			"name_fi": "Myyntitil.",
			"width": 140
		},
		{
			"field": "ordr.row_number",
			"name_fi": "Rivi",
			"width": 90
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name_fi": "Osatoim.",
			"width": 150
		},
		{
			"field": "ordr.product_id",
			"name_fi": "Tuote",
			"width": 140
		},
		{
			"field": "ordr.production_order_id",
			"name_fi": "Valm. erä",
			"width": 180
		},
		{
			"field": "ordr.json_data.project_id",
			"name_fi": "Project Id",
			"width": 120
		},
		{
			"field": "ordr.unit_price",
			"name_fi": "á hinta",
			"width": 120
		},
		{
			"field": "ordr.order_amount",
			"name_fi": "Määrä",
			"width": 120
		},
		{
			"field": "ordr.delivery_state",
			"name_fi": "Tila",
			"width": 120
		},
		{
			"field": "ordr.delivery_amount",
			"name_fi": "Toimitettu mrä",
			"width": 120
		},
		{
			"field": "ordr.waiting_for_delivery",
			"name_fi": "Toimittamatta",
			"width": 130
		},
		{
			"field": "ordr.price_without_vat",
			"name_fi": "Hinta alv 0%",
			"width": 160
		},
		{
			"field": "ordr.vat_price",
			"name_fi": "Alv",
			"width": 140
		},
		{
			"field": "ordr.delivery_date",
			"name_fi": "Haluttu toim. pv",
			"width": 100
		},
		{
			"field": "ordr.confirmed_delivery_date",
			"name_fi": "Vahv. toim. pv",
			"width": 120
		},
		{
			"field": "ordr.actual_delivery_date",
			"name_fi": "Tot. toim. pv",
			"width": 120
		},
		{
			"field": "ordr.info",
			"name_fi": "Info",
			"width": 300
		},
		{
			"field": "ordr.record_id",
			"name_fi": "Record id",
			"width": 110
		},
		{
			"field": "ordr.modify_id",
			"name": "Modify id",
			"width": 110
		}
	],
	"columns_not_in_use": [
		{
			"field": "co.name",
			"name_fi": "As. nimi",
			"width": 120
		},
		{
			"field": "ord.vat_price",
			"name_fi": "Alv",
			"width": 160
		}
	]
}
